#pragma once

#include <cstdint>
#include <limits>
#include <string>

#include <QObject>

class QMainWindow;
class QTreeWidgetItem;

namespace Ui {
	class DebugWindow;
}


class QtDebugger : public QObject {
	Q_OBJECT

public:
	explicit QtDebugger(QObject* parent = nullptr);
	~QtDebugger();

private slots:
	void refresh();
	void currentWindowChanged( int row );
	void currentObjectChanged( QTreeWidgetItem* new_ );

protected:
	QMainWindow* debugWindow = nullptr;

private:
	Ui::DebugWindow* ui;
};
